<?php 
require_once("../datos/mysqlpropiedad.php");
$p= new mysqlpropiedad();
date_default_timezone_set("America/Santiago");
$indice = $_POST['name'];
if($indice == "getPreentrega"){
	$id_propiedad = $_POST['id_propiedad'];
	$resultado = $p->getInfoEntregas($id_propiedad);
	$preentrega = "<div class='activity-list'>";
		if(empty($resultado)){
			echo "a";
		}
		else{
			for($i=0;$i<count($resultado);$i++){
			$preentrega =$preentrega."<div class='media'>
          			<div class='media'>
			                <div class='media-body'>
			                    <small>".$resultado[$i]['FECHA_PREENTREGA']."</small>. <br>
			                    <small class='text-muted'>".$resultado[$i]['OBS_PREENTREGA']."</small>
			                </div>    
            </div>";
			}
		}

	echo $preentrega."</div>";
}else if($indice == "getEntrega"){

	$id_propiedad = $_POST['id_propiedad'];
	$resultado = $p->getInfoEntregas($id_propiedad);
	$entrega = "<div class='activity-list'>";
		if(empty($resultado)){
			echo "a";
		}
		else{

			for($i=0;$i<count($resultado);$i++){
			$entrega =$entrega."<div class='media'>
                     	<div class='media'>
			                <div class='media-body'>
			                    <small>".$resultado[$i]['FECHA_ENTREGA']."</small>. <br>
			                    <small class='text-muted'>".$resultado[$i]['OBS_ENTREGA']."</small>
			                </div>    
            </div>";
			}
		}
	echo $entrega."</div>";
}else if($indice == "updatetipo"){
	$id_tipo= $_POST['pk']; // the pk(primary key) that you assigned
	$tipo= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatetipo($id_tipo,$tipo);
  	echo $resultado;

}else if($indice == "nuevotipopropiedad"){
	$tipopropiedad= $_POST['tipopropiedad']; // the pk(primary key) that you assigned
	$resultado = $p->nuevotipopropiedad($tipopropiedad);
  	echo $resultado;

}else if($indice == "updateabreviatura"){
	$id_modelo= $_POST['pk']; // the pk(primary key) that you assigned
	$abreviatura= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatetipo($id_modelo,$abreviatura);
  	echo $resultado;

}else if($indice == "updatesutil"){
	$id_modelo= $_POST['pk']; // the pk(primary key) that you assigned
	$sup_util= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatesutil($id_modelo,$sup_util);
  	echo $resultado;

}else if($indice == "updateterraza"){
	$id_modelo= $_POST['pk']; // the pk(primary key) that you assigned
	$sup_terraza= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateterraza($id_modelo,$sup_terraza);
  	echo $resultado;

}else if($indice == "updatesuperficie"){
	$id_modelo= $_POST['pk']; // the pk(primary key) that you assigned
	$sup_construida= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatesuperficie($id_modelo,$sup_construida);
  	echo $resultado;
}else if($indice == "updatetipomodelo"){
	$id_modelo= $_POST['pk']; // the pk(primary key) that you assigned
	$tipopropiedad= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatetipomodelo($id_modelo,$tipopropiedad);
	echo $tipopropiedad;

}else if($indice == "nuevomodelopropiedad"){
	$id_tipopropiedad= $_POST['id_tipopropiedad']; // the pk(primary key) that you assigned
	$abreviatura= $_POST['abreviatura'] ;// the new value after you use the inline edit
	$sup_util= $_POST['sup_util']; // the pk(primary key) that you assigned
	$sup_terraza= $_POST['sup_terraza'] ;// the new value after you use the inline edit
	$sup_construida= $_POST['sup_construida']; // the pk(primary key) that you assigned
	$lista = $_POST['lista'];
	$imagen64 = $_POST['imagen64'];
	$resultado = $p->nuevomodelopropiedad($id_tipopropiedad,$abreviatura,$sup_util,$sup_terraza,$sup_construida,$lista,$imagen64);
	echo $resultado;
}else if($indice == "getAmbienteBYModelo"){
	$id_modelo = $_POST['id_modelo'];
	$resultado = $p->getAmbienteBYModelo($id_modelo);
	echo json_encode($resultado);
}else if($indice == "updateAmbientesxmodelo"){
	$id_modelo = $_POST['id_modelo'];
	$lista = $_POST['lista'];
	$resultado = $p->updateAmbientesxmodelo($id_modelo,$lista);
	echo $resultado;

}else if($indice == "getPropiedadProyecto"){
	$id_proyecto = $_POST['id_proyecto'];
	$resultado = $p->getPropiedadProyecto($id_proyecto);
	$entrega = "<div class='form-group'>";
		if(empty($resultado)){
			echo "";
		}
		else{
			asort($resultado);
			for($i=0;$i<count($resultado);$i++){
			$entrega =$entrega."<div class='col-sm-3'>
										<div class='rdio rdio-success'>
                                       		 <input type='radio' name='radio' value=".$resultado[$i]['ID_MODELO']." id=".$resultado[$i]['ID_PROPIEDAD'].">
                                        	<label for=".$resultado[$i]['ID_PROPIEDAD'].">".$resultado[$i]['NUMERO']."-".$resultado[$i]['ABREVIATURA']."</label>

                                        </div>
                                </div>";
			}
		}
	echo $entrega."</div>";

}else if($indice == "getModelospropiedadBYID"){
	$id_modelo = $_POST['id_modelo'];
	$resultado = $p->getModelospropiedadBYID($id_modelo);
	echo json_encode($resultado);
}else if($indice == "updateimagen"){
	$id_modelo = $_POST['id_modelo'];
	$imagen64 = $_POST['imagen64'];
	$resultado = $p->updateimagen($id_modelo,$imagen64);
	echo $resultado;
}else if($indice == "getModeloAmbiente"){
	$id_modelo = $_POST['id_modelo'];
	$resultado = $p->getModeloAmbiente($id_modelo);
	echo json_encode($resultado);
}else if($indice == "getmodeloBYIDPROPIEDAD"){
	$id_propiedad = $_POST['id_propiedad'];
	$resultado = $p->getmodeloBYIDPROPIEDAD($id_propiedad);
	echo json_encode($resultado);
}else if ($indice == "getEtapas"){
	$id_proyecto = $_POST['id_proyecto'];
	$resultado = $p->getEtapas($id_proyecto);
	echo json_encode($resultado);
}else if ($indice == "getEdificio"){
	$id_etapa = $_POST['id_etapa'];
	$resultado = $p->getEdificio($id_etapa);
	echo json_encode($resultado);
}else if ($indice == "getModeloBYTIPO"){
	$id_tipo = $_POST['id_tipo'];
	$resultado = $p->getModeloBYTIPO($id_tipo);
	echo json_encode($resultado);
}
else if($indice == "nuevaPropiedad"){
	$id_proyecto = $_POST['id_proyecto'];
	$id_disenoetapa = $_POST['id_disenoetapa'];
	$id_modelo = $_POST['id_modelo'];
	$numero = $_POST['numero'];
	$piso = $_POST['piso'];
	$obspreentrega = $_POST['obspreentrega'];
	$obsentrega = $_POST['obsentrega'];
	$id_propietario = $_POST['id_propietario'];
	$resultado = $p->nuevaPropiedad($id_proyecto,$id_disenoetapa,$id_modelo,$numero,$piso,$obspreentrega,$obsentrega,$id_propietario);
	echo $resultado;
}else if($indice =="getInfoGarantias"){
	$id_propiedad = $_POST['id_propiedad'];
	$resultado = $p->getInfoGarantias(trim($id_propiedad));
	echo json_encode($resultado);
}else if($indice == "getPropiedadBYNUMBER"){
	$id_persona = $_POST['id_persona'];
	$numero = $_POST['numero'];
	$resultado = $p->getPropiedadBYNUMBER($numero,$id_persona);
	$valor = "";
  	if(empty($resultado)){
  			$valor = 0;
  	}else{
  		for($i =0;$i<count($resultado);$i++){
  			$valor= $resultado[$i]['ID_PROPIEDAD'];
  		}	
  	}
  	echo trim($valor);
}

?>